My Oracle Support Banner

Oracle OLAP API INVALID after upgrade (Doc ID 2611338.1)

Last updated on MARCH 10, 2020

Applies to:

Oracle OLAP - Version 12.1.0.2 and later
Information in this document applies to any platform.

Symptoms

1. Restore a noncdb in 12.1.0.2.
2. Upgrade the noncdb to RDBMS_12.2.0.1.0_LINUX.X64_170107.

$ORACLE_HOME/perl/bin/perl $ORACLE_HOME/rdbms/admin/catctl.pl -e -l $LOG
catupgrd.sql

The upgrade was successfully.
3.Run utlrp.sql to compile the invalid objects.
4.Run the catdwgrd.sql script to downgrade the upgraded noncdb.

The catdwgrd.sql was executed successfully.

5.Connect the 12.1.0.2 ORACLE_HOME and run catrelod.sql.

@catrelod.sql

6.Run utlrp.sql and check the component.

7. The Oracle OLAP API is invalid.

SQL> select comp_name,STATUS from dba_registry ;

COMP_NAME STATUS
-------------------- --------------------
Oracle Database Vaul VALID
t

Oracle Application E VALID
xpress

Oracle Label Securit VALID
y

Oracle OLAP API INVALID



Cause

To view full details, sign in with your My Oracle Support account.

Don't have a My Oracle Support account? Click to get started!


In this Document
Symptoms
Cause
Solution
References


My Oracle Support provides customers with access to over a million knowledge articles and a vibrant support community of peers and Oracle experts.